TermFreqVector (Lucene 2.4.1 API)
Keywords: org.apache.lucene.index.TermFreqVector interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Interface TermFreqVector

All Known Subinterfaces:
  TermPositionVector

All Known Implementing Classes:
  InstantiatedTermFreqVector, InstantiatedTermPositionVector, QueryTermVector

    public interface TermFreqVector

Provides access to stored term vector of a document field. The vector consists of the name of the field, an array of the terms tha occur in the field of the `Document` and a parallel array of frequencies. Thus, getTermFrequencies()[5] corresponds with the frequency of getTerms()[5], assuming there are at least 5 terms in the Document.

Method Summary
`String` | `getField()` The `Fieldable` name.
`int[]` | `getTermFrequencies()` Array of term frequencies.
`String[]` | `getTerms()`
`int[]` | `indexesOf(String[] terms, int start, int len)` Just like `indexOf(int)` but searches for a number of terms at the same time.
`int` | `indexOf(String term)` Return an index in the term numbers array returned from `getTerms` at which the term with the specified `term` appears.
`int` | `size()`

Method Detail

### getField

    String getField()

  The `Fieldable` name.

  Returns:
    The name of the field this vector is associated with.

### size

    int size()

  Returns:
    The number of terms in the term vector.

### getTerms

    String[] getTerms()

  Returns:
    An Array of term texts in ascending order.

### getTermFrequencies

    int[] getTermFrequencies()

  Array of term frequencies. Locations of the array correspond one to one to the terms in the array obtained from `getTerms` method. Each location in the array contains the number of times this term occurs in the document or the document field.

### indexOf

    int indexOf(String term)

  Return an index in the term numbers array returned from `getTerms` at which the term with the specified `term` appears. If this term does not appear in the array, return -1.

### indexesOf

    int[] indexesOf(String[] terms,
                    int start,
                    int len)

  Just like `indexOf(int)` but searches for a number of terms at the same time. Returns an array that has the same size as the number of terms searched for, each slot containing the result of searching for that term number.

  Parameters:
    `terms` - array containing terms to look for
    `start` - index in the array where the list of terms starts
    `len` - the number of terms in the list

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.